<template>
  <cookie
    :ref="'cookie'"
    :elementId="'cookie'"
    :position="'bottom'"
    :disableDecline="true"
    :transitionName="'slideFromBottom'"
    :showPostponeButton="false"
  >
    <div slot="postponeContent">&times;</div>

    <div slot="message">
      {{ $t('cookie') }}
      <nuxt-link :to="localePath('/about#cookie')">
        {{ $t('cookie_more') }}
      </nuxt-link>
    </div>
    <div slot="acceptContent">Ok</div>
  </cookie>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
// @ts-ignore
import cookie from 'vue-cookie-accept-decline'
export default defineComponent({
  name: 'Cookie',
  components: {
    cookie
  },
  setup() {}
})
</script>

<style lang="scss" scoped>
[v-cloak] {
  display: none;
}
.cookie__floating__wrap {
  background: #ffffff;
  box-shadow: 0px 3px 6px #00000029;
}
.cookie__floating {
  -ms-overflow-style: none;
  z-index: 99;
  position: fixed;
  left: 20px;
  right: 20px;
  bottom: 20px;
  text-align: center;
  width: auto;
  ::v-deep {
    .cookie__floating__wrap {
      display: inline-flex;
      align-items: center;
      background: #ffffff;
      box-shadow: 0px 3px 6px #00000029;
      border-radius: 5px;
      padding: 15px 25px;
      text-align: left;
      color: #272c3b;
      font-size: 20px;
      line-height: 25px;
      letter-spacing: 0px;
      opacity: 1;
    }
    a {
      color: #0065ff;
    }
    button {
      background: #0065ff;
      border-radius: 3px;
      border: 0;
      outline: none;
      font-weight: 500;
      letter-spacing: 0px;
      color: #ffffff;
      padding: 10px 35px;
      margin-left: 20px;
      cursor: pointer;
    }
  }
}
</style>
